## GdaConnectionEvent

GdaConnectionEvent — Any event which has occurred on a GdaConnection

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaConnectionEventType | gda_connection_event_get_event_type ()
const gchar * | gda_connection_event_get_description ()
glong | gda_connection_event_get_code ()
GdaConnectionEventCode | gda_connection_event_get_gda_code ()
const gchar * | gda_connection_event_get_source ()
const gchar * | gda_connection_event_get_sqlstate ()

## Properties

gint | type | Read / Write

## Types and Values

| GdaConnectionEvent
enum | GdaConnectionEventType
enum | GdaConnectionEventCode

## Object Hierarchy

        GObject
        ╰── GdaConnectionEvent

## Description

Events occurring on a connection are each represented as a GdaConnectionEvent object. Each GdaConnection is responsible for keeping a list of past events; that list can be consulted using the `gda_connection_get_events()` function.

## Functions

### gda_connection_event_get_event_type ()

    GdaConnectionEventType
    gda_connection_event_get_event_type (GdaConnectionEvent *event);

Get `event` 's severity (from a simple notice to a fatal event)

#### Parameters

event | a GdaConnectionEvent object |

#### Returns

the event type

### gda_connection_event_get_description ()

    const gchar *
    gda_connection_event_get_description (GdaConnectionEvent *event);

Get the description of the event. Note that is `event` 's type is GDA_CONNECTION_EVENT_COMMAND, the the description is the SQL of the command.

#### Parameters

event | a GdaConnectionEvent. |

#### Returns

`event` 's description.

### gda_connection_event_get_code ()

    glong
    gda_connection_event_get_code (GdaConnectionEvent *event);

#### Parameters

event | a GdaConnectionEvent. |

#### Returns

`event` 's code (the code is specific to the provider being used)

### gda_connection_event_get_gda_code ()

    GdaConnectionEventCode
    gda_connection_event_get_gda_code (GdaConnectionEvent *event);

Retrieve the code associated to `event` .

#### Parameters

event | a GdaConnectionEvent |

#### Returns

the GdaConnectionEventCode event's code

### gda_connection_event_get_source ()

    const gchar *
    gda_connection_event_get_source (GdaConnectionEvent *event);

#### Parameters

event | a GdaConnectionEvent. |

#### Returns

`event` 's source.

### gda_connection_event_get_sqlstate ()

    const gchar *
    gda_connection_event_get_sqlstate (GdaConnectionEvent *event);

Get the SQLSTATE value of `event` . Even though the SQLSTATE values are specified by ANSI SQL and ODBC, consult each DBMS for the possible values. However, the "00000" (success) value means that there is no error, and the "HY000" (general error) value means an error but no better error code available.

#### Parameters

event | a GdaConnectionEvent. |

#### Returns

`event` 's SQL state.

## Types and Values

### GdaConnectionEvent

    typedef struct _GdaConnectionEvent GdaConnectionEvent;

### enum GdaConnectionEventType

#### Members

GDA_CONNECTION_EVENT_NOTICE |  |
GDA_CONNECTION_EVENT_WARNING |  |
GDA_CONNECTION_EVENT_ERROR |  |
GDA_CONNECTION_EVENT_COMMAND |  |

### enum GdaConnectionEventCode

#### Members

GDA_CONNECTION_EVENT_CODE_CONSTRAINT_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_RESTRICT_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_NOT_NULL_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_FOREIGN_KEY_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_UNIQUE_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_CHECK_VIOLATION |  |
GDA_CONNECTION_EVENT_CODE_INSUFFICIENT_PRIVILEGES |  |
GDA_CONNECTION_EVENT_CODE_UNDEFINED_COLUMN |  |
GDA_CONNECTION_EVENT_CODE_UNDEFINED_FUNCTION |  |
GDA_CONNECTION_EVENT_CODE_UNDEFINED_TABLE |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_COLUMN |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_DATABASE |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_FUNCTION |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_SCHEMA |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_TABLE |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_ALIAS |  |
GDA_CONNECTION_EVENT_CODE_DUPLICATE_OBJECT |  |
GDA_CONNECTION_EVENT_CODE_SYNTAX_ERROR |  |
GDA_CONNECTION_EVENT_CODE_UNKNOWN |  |

## Property Details

### The `“type”` property

      “type”                     gint

Connection event type.

Owner: GdaConnectionEvent

Flags: Read / Write

Allowed values: [0,3]

Default value: 2

## See Also

GdaConnection